﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using Telerik.Web.UI;
using System.Collections;

public partial class Default24 : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        RadListView1.PreRender += new EventHandler(RadListView1_PreRender);
    }

    void RadListView1_PreRender(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            foreach (RadListViewDataItem item in RadListView1.Items)
            {
                item.Edit = true;
            }
            RadListView1.Rebind();
        }
    }
    protected void RadListView1_NeedDataSource(object sender, RadListViewNeedDataSourceEventArgs e)
    {
        RadListView1.DataSource = Data;
    }
    protected void Button1_Click(object sender, EventArgs e)
    {
        DataTable table = Data;
        foreach (RadListViewEditableItem item in RadListView1.EditItems)
        {
            Hashtable newValues = new Hashtable();
            item.ExtractValues(newValues);
            string id = item.GetDataKeyValue("ID").ToString();
            DataRow row = table.Select("ID=" + id)[0];
            row["Description"] = newValues["Description"];
            Data = table;
            item.Edit = false;
        }
        RadListView1.Rebind();
    }
    public DataTable Data
    {
        get
        {
            if (Session["Data"] == null)
            {
                DataTable table = new DataTable();
                table.Columns.Add("ID");
                table.Columns.Add("Description");
                for (int i = 0; i < 5; i++)
                {
                    table.Rows.Add(i, "Item" + i.ToString());
                }
                Session["Data"] = table;
            }
            return (DataTable)Session["Data"];
        }
        set
        {
            Session["Data"] = value;
        }
    }
}